Update status, reply, etc of a particular review
PUT
/
products
/
reviews
/
{reviewId}
Update Product Reviews
curl --request PUT \
--url https://services.leadconnectorhq.com/products/reviews/{reviewId} \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"productId": "6578278e879ad2646715ba9c",
"status": "approved",
"reply": [
{
"headline": "Amazing product with great quality",
"comment": "This product exceeded my expectations in terms of quality and performance. Highly recommended!",
"user": {
"name": "John Doe",
"email": "example@example.com",
"phone": "+1-555-555-5555",
"isCustomer": true
}
}
],
"rating": "4.5",
"headline": "Amazing product with great quality",
"detail": "The product is for sure a must and recommended buy"
}
'const options = {
method: 'PUT',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
productId: '6578278e879ad2646715ba9c',
status: 'approved',
reply: [
{
headline: 'Amazing product with great quality',
comment: 'This product exceeded my expectations in terms of quality and performance. Highly recommended!',
user: {
name: 'John Doe',
email: 'example@example.com',
phone: '+1-555-555-5555',
isCustomer: true
}
}
],
rating: '4.5',
headline: 'Amazing product with great quality',
detail: 'The product is for sure a must and recommended buy'
})
};
fetch('https://services.leadconnectorhq.com/products/reviews/{reviewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/reviews/{reviewId}"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"productId": "6578278e879ad2646715ba9c",
"status": "approved",
"reply": [
{
"headline": "Amazing product with great quality",
"comment": "This product exceeded my expectations in terms of quality and performance. Highly recommended!",
"user": {
"name": "John Doe",
"email": "example@example.com",
"phone": "+1-555-555-5555",
"isCustomer": True
}
}
],
"rating": "4.5",
"headline": "Amazing product with great quality",
"detail": "The product is for sure a must and recommended buy"
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": true,
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Headers
API Version
Available options:
2021-07-28 Path Parameters
Review Id
Example:
"6578278e879ad2646715ba9c"
Body
application/json
Location Id or Agency Id
Example:
"6578278e879ad2646715ba9c"
Available options:
location Product Id
Example:
"6578278e879ad2646715ba9c"
Status of the review
Example:
"approved"
Reply of the review
Show child attributes
Show child attributes
Rating of the product
Example:
"4.5"
Headline of the Review
Example:
"Amazing product with great quality"
Detailed Review of the product
Example:
"The product is for sure a must and recommended buy"
Last modified on March 8, 2026
Was this page helpful?
Update Product Reviews
curl --request PUT \
--url https://services.leadconnectorhq.com/products/reviews/{reviewId} \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"productId": "6578278e879ad2646715ba9c",
"status": "approved",
"reply": [
{
"headline": "Amazing product with great quality",
"comment": "This product exceeded my expectations in terms of quality and performance. Highly recommended!",
"user": {
"name": "John Doe",
"email": "example@example.com",
"phone": "+1-555-555-5555",
"isCustomer": true
}
}
],
"rating": "4.5",
"headline": "Amazing product with great quality",
"detail": "The product is for sure a must and recommended buy"
}
'const options = {
method: 'PUT',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
productId: '6578278e879ad2646715ba9c',
status: 'approved',
reply: [
{
headline: 'Amazing product with great quality',
comment: 'This product exceeded my expectations in terms of quality and performance. Highly recommended!',
user: {
name: 'John Doe',
email: 'example@example.com',
phone: '+1-555-555-5555',
isCustomer: true
}
}
],
rating: '4.5',
headline: 'Amazing product with great quality',
detail: 'The product is for sure a must and recommended buy'
})
};
fetch('https://services.leadconnectorhq.com/products/reviews/{reviewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/reviews/{reviewId}"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"productId": "6578278e879ad2646715ba9c",
"status": "approved",
"reply": [
{
"headline": "Amazing product with great quality",
"comment": "This product exceeded my expectations in terms of quality and performance. Highly recommended!",
"user": {
"name": "John Doe",
"email": "example@example.com",
"phone": "+1-555-555-5555",
"isCustomer": True
}
}
],
"rating": "4.5",
"headline": "Amazing product with great quality",
"detail": "The product is for sure a must and recommended buy"
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": true,
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}